java.lang

## Class NoSuchFieldException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.NoSuchFieldException

- All Implemented Interfaces:
    Serializable

      public class NoSuchFieldException
      extends Exception

  Signals that the class doesn't have a field of a specified name.
  Since:
    JDK1.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoSuchFieldException()` Constructor.
    `NoSuchFieldException(String s)` Constructor with a detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSuchFieldException

          public NoSuchFieldException()

      Constructor.

    - #### NoSuchFieldException

          public NoSuchFieldException(String s)

      Constructor with a detail message.
      Parameters:
        `s` - the detail message

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.